//
// $(document).ready(function () {
//     var typingTimer;
//     var doneTypingInterval = 500; // ms
//     var $searchInput = $('#search-input');
//     var $searchResults = $('#search-results');
//
//     // Send an AJAX request to the server to get the search results
//     function searchNumber() {
//         var number = $searchInput.val();
//         if (number.length == 12) {
//             $.ajax({
//                 url: "?handler=SearchFactor",
//                 headers: { "RequestVerificationToken": $('input[name="__RequestVerificationToken"]').val() },
//                 method: 'GET',
//                 // dataType: 'json',
//                 data: { number: number },
//                 success: function (data) {
//                     displayResults(data);
//                 },
//                 error: function (jqXHR, textStatus, errorThrown) {
//                     console.log(textStatus, errorThrown);
//                 }
//             });
//         }
//     }
//
//     // Display the search results in the list
//     function displayResults(results) {
//         $searchResults.empty();
//         if (results.length == 0) {
//             $searchResults.append('<li class="list-group-item">No results found.</li>');
//         } else {
//             $.each(results, function (index, result) {
//                 var itemHtml = '<li class="list-group-item">' + result.uniqueId + ': ' + result.serialNumber + '</li>';
//                 $searchResults.append(itemHtml);
//             });
//         }
//     }
//
//     // Set a timeout to wait for the user to stop typing
//     $searchInput.on('keyup', function () {
//         clearTimeout(typingTimer);
//         typingTimer = setTimeout(searchNumber, doneTypingInterval);
//     });
//
//     // Send the search request immediately when the user clicks Enter
//     $searchInput.on('keydown', function (event) {
//         clearTimeout(typingTimer);
//         if (event.keyCode === 13) {
//             event.preventDefault();
//             searchNumber();
//         }
//     });
// });



$(function () {
    var timerId;

    // Live search function
    $("#search-input").on("input", function () {
        clearTimeout(timerId);
        timerId = setTimeout(function () {
            var searchTerm = $("#search-input").val().trim();
            if (searchTerm !== "") {
                $.ajax({
                    type: "get",
                    url: "/reports/index?handler=LiveSearch",
                    //headers: { "RequestVerificationToken": $('input[name="__RequestVerificationToken"]').val() },
                    data: { searchTerm: searchTerm },
                    success: function (result) {
                        // Clear previous search results
                        $("#search-results").empty();

                        // Add new search results to the table
                        $.each(result, function (index, item) {
                            var row = $("<tr>").appendTo("#search-results");
                            $("<td>").text(item.id).appendTo(row);
                            $("<td>").text(item.taxId).appendTo(row);
                            $("<td>").text(item.irTaxId).appendTo(row);
                            $("<td>").text(item.typeBillText).appendTo(row);
                            $("<td>").text(item.subjectBillText).appendTo(row);
                            $("<td>").text(item.referenceId).appendTo(row);
                            $("<td>").text(item.uniqueId).appendTo(row);
                            $("<td>").text(item.sendDate).appendTo(row);
                            $("<td>").text(item.statusText).appendTo(row);
                            $("<td>").text('').appendTo(row);
//                             $("<td>").html(`<button class="btn btn-link" data-rowId="${item.referenceId} data-uid="${item.uniqueId}">
// <span class="indicator-label">استعلام</span>
// <span class="indicator-progress"><span class="spinner-border spinner-border-sm align-middle ms-2"></span></span>
// </button>`).appendTo(row);
                        });
                        
                        let links=document.querySelectorAll("[data-rowId]");
                        $.each(links,function(index,link){
                           link.addEventListener('click',function(e){
                               link.setAttribute('data-kt-indicator', 'on');
                               link.disabled = true;
                               
                                   $.ajax({
                                       type: "get",
                                       url: "?handler=CheckReference",
                                       data: { referenceId: link.dataset.rowid,uid: link.dataset.uid },
                                       success: function (result) {
                                           if(result){
                                               $(link).closest('tr').find('td:nth-child(9)').html(result.status)
                                           }
                                           link.removeAttribute('data-kt-indicator');
                                           link.disabled = false;
                                           
                                       },
                                       error:function(error){
                                           link.removeAttribute('data-kt-indicator');
                                           link.disabled = false;
                                           

                                       }
                            }); 
                        });
                        });
                    },
                    error: function (error) {
                        console.log(error);
                    }
                });
            }
            else {
                // Clear search results when input is empty
                $("#search-results").empty();
            }
        }, 500);
    });
});